Summary: 	Universal Media Server
Name: 		ums
Version: 	6.3.2
Release: 	%mkrel 1
License: 	GPLv3
Group: 		Networking/Remote access
URL: 		http://www.universalmediaserver.com/
Source0: 	http://sourceforge.net/projects/unimediaserver/files/Official%20Releases/Linux/UMS-%{version}-Java8.tar.xz
Source1:   	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	imagemagick
Requires: 	task-java
Requires: 	libzen0 libmediainfo0
BuildArch:	noarch

%description
Universal Media Server is a DLNA-compliant UPnP Media Server. It is based on PS3 Media Server 
by shagrath. It is actually an evolution of the "SubJunk Build" of PMS. UMS was started by SubJunk, 
an official developer of PMS, in order to ensure greater stability and file-compatibility.
The program streams or transcodes many different media formats with little or no configuration.
It is powered by MEncoder, FFmpeg, tsMuxeR, AviSynth, MediaInfo and more, which combine to offer 
support for a wide range of media formats.

See http://www.universalmediaserver.com/ for supported devices. 


%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
DONT_STRIP=1

install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -r * %{buildroot}%{_datadir}/%{name}

install -dm 755 %{buildroot}%{_bindir}
install -m 755 UMS.sh %{buildroot}%{_datadir}/%{name}
ln -s %{_datadir}/%{name}/UMS.sh $RPM_BUILD_ROOT/%{_bindir}/%{name}

# icons
install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert %{SOURCE1} -size 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert %{SOURCE1} -size 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert %{SOURCE1} -size 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Universal Media Server
Comment=DLNA-compliant UPnP Media Server
Exec=%{_bindir}/%{name}
Icon=%{_iconsdir}/hicolor/48x48/apps/%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Video;Network;X-MandrivaLinux-Internet-RemoteAccess;
EOF

rm -f $RPM_BUILD_ROOT%{_datadir}/%name/*.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Sat Jun 04 2016 ghostbunny <ghostbunny at gmx dot de> 6.3.2-1pclos2016
- 6.3.2
- add BR imagemagick

* Fri Feb 06 2015 pinoc <vogtpet at gmail.com> 5.0.0-1pclos2015
- 5.0.0

* Mon Dec 29 2014 MBantz <martin dot bantz at gmail dot com>4.3.1-1pclos2014
- Update to 4.3.1

* Sat Sep 14 2013 Ken <lxgator at gmail.com> 2.6.4-1pclos2013
- Initial pkg
